static const char *RcsId = "$Header: /users/chaize/newsvn/cvsroot/Instrumentation/Interlock/Daresbury/DaresburyV4/ClassFactory.cpp,v 1.1 2004-11-09 16:05:06 jlpons Exp $";
//+=============================================================================
//
// file :        ClassFactory.cpp
//
// description : C++ source for the class_factory method of the DServer
//               device class. This method is responsible to create
//               all class singletin for a device server. It is called
//               at device server startup
//
// project :     TANGO Device Server
//
// $Author: jlpons $
//
// $Revision: 1.1 $
//
// $Log: not supported by cvs2svn $
//
// copyleft :    European Synchrotron Radiation Facility
//               BP 220, Grenoble 38043
//               FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================


#include <tango.h>
#include <DaresburyClass.h>
#include <SerialClass.h>

/**
 *	Create DaresburyClass singleton and store it in DServer object.
 *
 * @author	$Author: jlpons $
 * @version	$Revision: 1.1 $ $
 */

void Tango::DServer::class_factory()
{
  add_class(Serial::SerialClass::init("Serial"));
  add_class(Daresbury::DaresburyClass::init("Daresbury"));
}
